predict {base} | R Documentation

## Model Predictions

### Description

`predict` is a generic function for predictions from the results of various model fitting functions. The function invokes particular methods which depend on the `class` of the first argument.

The function `predict.lm` makes predictions based on the results produced by `lm`.

### Usage

    predict (object, ...)

### Arguments

`object` | a model object for which prediction is desired.
`...` | additional arguments affecting the predictions produced.

### Value

The form of the value returned by `predict` depends on the class of its argument. See the documentation of the particular methods for details of what is produced by that method.

### See Also

`predict.lm`.

### Examples

    ## All the "predict" methods available in your current search() path:
    for(fn in methods("predict"))
       cat(fn,":\n\t",deparse(args(get(fn))),"\n")

[Package Contents]